QGIS Application - Bug report #1632
v.db.addcol: fails if path contains spaces
2009-04-05 10:57 AM - Paolo Cavallini

Status: Closed

Priority: Low

Assignee: nobody -

Category: GRASS

Affected QGIS version: Regression?: No
Operating System: All Easy fix?: No
Pull Request or Patch supplied: Resolution: wontfix
Crashes QGIS or corrupts data: Copied to github as #: 11692
Description

When adding a column, if the path to the dbf (possibly this is true also for other DB drivers?) contains spaces), the command fails.

History

#1 - 2009-04-28 12:25 AM - Redmine Admin

Do you mean with v.db.addcol? That is completely out of QGIS control because database parameter is not given to GRASS command, it is read from
vector.

| suggest wantfix and to create new bug in GRASS project for v.db.addcol.

Radim

#2 - 2009-04-28 12:39 AM - Paolo Cavallini

- Resolution set to wontfix

- Status changed from Open to Closed

#3 - 2009-04-28 12:39 AM - Paolo Cavallini

Done, see https://trac.osgeo.org/grass/ticket/571

#4 - 2009-05-05 01:02 AM - hamish -
| can't reproduce this either in GRASS or using ggis v1.0.1 from OSGeo4W on MSWin and GISDBASE somewhere within 'C:\\Documents and
Settings\...".

See GRASS bug report for more.

Hamish

#5 - 2009-05-06 01:23 AM - Paolo Cavallini

It is definitely a GRASS issue, not a QGIS one. It has been solved in GRASS64

2025-04-27 1/1



https://trac.osgeo.org/grass/ticket/571

